import { ComponentWillLoad } from '../../stencil.core';
declare enum EndpointStatus {
    LOADING = 0,
    OK = 1,
    NOK = 2
}
export declare class PickerEndpointStatus implements ComponentWillLoad {
    endpoint: string;
    endpointStatus: EndpointStatus;
    onEndPointChange(newEndpoint: string, oldEndpoint: string): void;
    componentWillLoad(): void;
    setEndpointStatus(endpoint: string): Promise<EndpointStatus.OK | EndpointStatus.NOK>;
    render(): any;
}
export {};
